## UIM Refresh Register request UIM Refresh Register request |

## Functions

QmiMessageUimRefreshRegisterInput * | qmi_message_uim_refresh_register_input_new ()
QmiMessageUimRefreshRegisterInput * | qmi_message_uim_refresh_register_input_ref ()
void | qmi_message_uim_refresh_register_input_unref ()
gboolean | qmi_message_uim_refresh_register_input_get_info ()
gboolean | qmi_message_uim_refresh_register_input_set_info ()
gboolean | qmi_message_uim_refresh_register_input_get_session ()
gboolean | qmi_message_uim_refresh_register_input_set_session ()
QmiMessageUimRefreshRegisterOutput * | qmi_message_uim_refresh_register_output_ref ()
void | qmi_message_uim_refresh_register_output_unref ()
gboolean | qmi_message_uim_refresh_register_output_get_result ()
void | qmi_client_uim_refresh_register ()
QmiMessageUimRefreshRegisterOutput * | qmi_client_uim_refresh_register_finish ()

## Types and Values

| QmiMessageUimRefreshRegisterInput
| QmiMessageUimRefreshRegisterInputInfoFilesElement
| QmiMessageUimRefreshRegisterOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageUimRefreshRegisterInput
        ╰── QmiMessageUimRefreshRegisterOutput

## Description

## Functions

### qmi_message_uim_refresh_register_input_new ()

    QmiMessageUimRefreshRegisterInput *
    qmi_message_uim_refresh_register_input_new
                                   (void);

Allocates a new QmiMessageUimRefreshRegisterInput.

#### Returns

the newly created QmiMessageUimRefreshRegisterInput. The returned value should be freed with `qmi_message_uim_refresh_register_input_unref()`.

Since: 1.28

### qmi_message_uim_refresh_register_input_ref ()

    QmiMessageUimRefreshRegisterInput *
    qmi_message_uim_refresh_register_input_ref
                                   (QmiMessageUimRefreshRegisterInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageUimRefreshRegisterInput. |

#### Returns

the new reference to `self` .

Since: 1.28

### qmi_message_uim_refresh_register_input_unref ()

    void
    qmi_message_uim_refresh_register_input_unref
                                   (QmiMessageUimRefreshRegisterInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageUimRefreshRegisterInput. |

Since: 1.28

### qmi_message_uim_refresh_register_input_get_info ()

    gboolean
    qmi_message_uim_refresh_register_input_get_info
                                   (QmiMessageUimRefreshRegisterInput *self,
                                    gboolean *value_info_register_flag,
                                    gboolean *value_info_vote_for_init,
                                    GArray **value_info_files,
                                    GError **error);

Get the 'Info' field from `self` .

#### Parameters

self | a QmiMessageUimRefreshRegisterInput. |
value_info_register_flag | a placeholder for the output gboolean, or `NULL` if not required. | [out][optional]
value_info_vote_for_init | a placeholder for the output gboolean, or `NULL` if not required. | [out][optional]
value_info_files | a placeholder for the output GArray of QmiMessageUimRefreshRegisterInputInfoFilesElement elements, or `NULL` if not required. Do not free it, it is owned by `self` . | [out][optional][element-type QmiMessageUimRefreshRegisterInputInfoFilesElement][transfer none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.28

### qmi_message_uim_refresh_register_input_set_info ()

    gboolean
    qmi_message_uim_refresh_register_input_set_info
                                   (QmiMessageUimRefreshRegisterInput *self,
                                    gboolean value_info_register_flag,
                                    gboolean value_info_vote_for_init,
                                    GArray *value_info_files,
                                    GError **error);

Set the 'Info' field in the message.

#### Parameters

self | a QmiMessageUimRefreshRegisterInput. |
value_info_register_flag | a gboolean. |
value_info_vote_for_init | a gboolean. |
value_info_files | a GArray of QmiMessageUimRefreshRegisterInputInfoFilesElement elements. A new reference to `value_info_files` will be taken. | [in][element-type QmiMessageUimRefreshRegisterInputInfoFilesElement]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.28

### qmi_message_uim_refresh_register_input_get_session ()

    gboolean
    qmi_message_uim_refresh_register_input_get_session
                                   (QmiMessageUimRefreshRegisterInput *self,
                                    QmiUimSessionType *value_session_session_type,
                                    GArray **value_session_application_identifier,
                                    GError **error);

Get the 'Session' field from `self` .

#### Parameters

self | a QmiMessageUimRefreshRegisterInput. |
value_session_session_type | a placeholder for the output QmiUimSessionType, or `NULL` if not required. | [out][optional]
value_session_application_identifier | a placeholder for the output GArray of guint8 elements, or `NULL` if not required. Do not free it, it is owned by `self` . | [out][optional][element-type guint8][transfer none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.28

### qmi_message_uim_refresh_register_input_set_session ()

    gboolean
    qmi_message_uim_refresh_register_input_set_session
                                   (QmiMessageUimRefreshRegisterInput *self,
                                    QmiUimSessionType value_session_session_type,
                                    GArray *value_session_application_identifier,
                                    GError **error);

Set the 'Session' field in the message.

#### Parameters

self | a QmiMessageUimRefreshRegisterInput. |
value_session_session_type | a QmiUimSessionType. |
value_session_application_identifier | a GArray of guint8 elements. A new reference to `value_session_application_identifier` will be taken. | [in][element-type guint8]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.28

### qmi_message_uim_refresh_register_output_ref ()

    QmiMessageUimRefreshRegisterOutput *
    qmi_message_uim_refresh_register_output_ref
                                   (QmiMessageUimRefreshRegisterOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageUimRefreshRegisterOutput. |

#### Returns

the new reference to `self` .

Since: 1.28

### qmi_message_uim_refresh_register_output_unref ()

    void
    qmi_message_uim_refresh_register_output_unref
                                   (QmiMessageUimRefreshRegisterOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageUimRefreshRegisterOutput. |

Since: 1.28

### qmi_message_uim_refresh_register_output_get_result ()

    gboolean
    qmi_message_uim_refresh_register_output_get_result
                                   (QmiMessageUimRefreshRegisterOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageUimRefreshRegisterOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.28

### qmi_client_uim_refresh_register ()

    void
    qmi_client_uim_refresh_register (QmiClientUim *self,
                                     QmiMessageUimRefreshRegisterInput *input,
                                     guint timeout,
                                     GCancellable *cancellable,
                                     GAsyncReadyCallback callback,
                                     gpointer user_data);

Asynchronously sends a Refresh Register request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_uim_refresh_register_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientUim. |
input | a QmiMessageUimRefreshRegisterInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.28

### qmi_client_uim_refresh_register_finish ()

    QmiMessageUimRefreshRegisterOutput *
    qmi_client_uim_refresh_register_finish
                                   (QmiClientUim *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_uim_refresh_register()`.

#### Parameters

self | a QmiClientUim. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_uim_refresh_register()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageUimRefreshRegisterOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_uim_refresh_register_output_unref()`.

Since: 1.28

## Types and Values

### QmiMessageUimRefreshRegisterInput

    typedef struct _QmiMessageUimRefreshRegisterInput QmiMessageUimRefreshRegisterInput;

The QmiMessageUimRefreshRegisterInput structure contains private data and should only be accessed using the provided API.

Since: 1.28

### QmiMessageUimRefreshRegisterInputInfoFilesElement

    typedef struct {
        guint16 file_id;
        GArray *path;
    } QmiMessageUimRefreshRegisterInputInfoFilesElement;

A QmiMessageUimRefreshRegisterInputInfoFilesElement struct.

#### Members

guint16 `file_id`; | a guint16. |
GArray *`path`; | a GArray of guint8 elements. |

Since: 1.28

### QmiMessageUimRefreshRegisterOutput

    typedef struct _QmiMessageUimRefreshRegisterOutput QmiMessageUimRefreshRegisterOutput;

The QmiMessageUimRefreshRegisterOutput structure contains private data and should only be accessed using the provided API.

Since: 1.28